## node-ebnf-parser 0.1.10+dfsg

=== Makefile ===

all: install build test

install:
	npm install

build:
	node ./node_modules/.bin/jison bnf.y bnf.l
	mv bnf.js parser.js

	node ./node_modules/.bin/jison ebnf.y
	mv ebnf.js transform-parser.js

test:
	node tests/all-tests.js




clean:

superclean: clean
	-find . -type d -name 'node_modules' -exec rm -rf "{}" \;

=== debian/changelog ===
node-ebnf-parser (0.1.10+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use dh-sequence-nodejs

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from jison and node-test. Closes: #1116798.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Oct 2025 10:20:00 +0200

node-ebnf-parser (0.1.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Update debian/watch to use npm registry
  * Add upstream/metadata
  * Add dependency to node-lex-parser (fixes debci)
  * Use pkg-js-tools auto test & install
  * Update VCS fields to salsa
  * Add patch descriptions
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 22 Jan 2020 12:08:28 +0100

node-ebnf-parser (0.1.10+dfsg-3) unstable; urgency=medium

  * Switch to main as jison is now available in main (Closes: #840543)

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Oct 2016 13:38:08 +0530

node-ebnf-parser (0.1.10+dfsg-2) unstable; urgency=medium

  * Install generated js files

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Oct 2016 22:22:01 +0530

node-ebnf-parser (0.1.10+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840196)

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Oct 2016 19:52:11 +0530

=== debian/control ===
Source: node-ebnf-parser
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , jison
 , node-lex-parser <!nocheck>
 , node-test
 , dh-sequence-nodejs
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/js-team/node-ebnf-parser
Vcs-Git: https://salsa.debian.org/js-team/node-ebnf-parser.git
Homepage: https://github.com/zaach/ebnf-parser

Package: node-ebnf-parser
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-lex-parser
Description: parser for BNF and EBNF grammars used by jison
 The parser translates a string grammar or JSON grammar into a JSON grammar
 that jison can use (ENBF is transformed into BNF).
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none,repacksuffix=+dfsg,dversionmangle=auto" \
 https://registry.npmjs.org/ebnf-parser https://registry.npmjs.org/ebnf-parser/-/ebnf-parser-(\d[\d\.]*)@ARCHIVE_EXT@
